/*
 * Secure X Message Passing Library v2 examples.
 *
 * (c) Alexander Vdolainen 2013-2015 <avdolainen@gmail.com>
 *
 * libsxmp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libsxmp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 *
 */

#ifndef __SXMP_EXAMPLES_HELPERS_H__
#define __SXMP_EXAMPLES_HELPERS_H__

int openlistener_socket(int port);

char *nodehostname(void);

int normalize_path(char *path);

#ifdef FULL_PROGRAM_NAME
static inline void version_print(FILE *fso)
{
  fprintf(fso, "\n%s.\n", FULL_PROGRAM_NAME);
  fprintf(fso, "Examples bundle for %s %s.\n", PACKAGE_NAME, PACKAGE_VERSION);
  return;
}
#endif

#endif /* __SXMP_EXAMPLES_HELPERS_H__ */
